<?php

/*

  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
*/
  require('includes/application_top.php');
  tep_get_last_access_file();
  require(DIR_WS_CLASSES . 'currencies.php');
  require(DIR_WS_FUNCTIONS . 'events_tree.php');
  require(DIR_WS_CLASSES . 'split_page_results_event.php');
  //added new
  define(BOX_WIDTH1,'125');
  
  $currencies = new currencies();
  $action = (isset($HTTP_GET_VARS['action']) ? $HTTP_GET_VARS['action'] : ''); 
  $return = (isset($HTTP_GET_VARS['return']) ? $HTTP_GET_VARS['return'] : ''); 
  if ($action==""){
	  $action = (isset($HTTP_GET_VARS['firstaction']) ? $HTTP_GET_VARS['firstaction'] : ''); 	
  }
  $orders_id=(isset($HTTP_GET_VARS['orders_id'])?(int)$HTTP_GET_VARS['orders_id']:0);
  $mode=(isset($HTTP_GET_VARS['mode'])?(int)$HTTP_GET_VARS['mode']:0);
  $error=(isset($HTTP_GET_VARS['error'])?$HTTP_GET_VARS['error']:'');
  $page=(isset($HTTP_GET_VARS['page'])?(int)$HTTP_GET_VARS['page']:1);
  $get_group_type=(isset($HTTP_GET_VARS['group'])?$HTTP_GET_VARS['group']:'N');
  // if action is perform waitlist or reserve moving operation
	if ($action=='setflag'){
		$flag=(isset($HTTP_GET_VARS['flag'])?$HTTP_GET_VARS['flag']:'');
		$products_id=(isset($HTTP_GET_VARS['pID'])?(int)$HTTP_GET_VARS['pID']:0);
		$events_id=(isset($HTTP_GET_VARS['eID'])?(int)$HTTP_GET_VARS['eID']:0);
		$orders_products_id=(isset($HTTP_GET_VARS['opID'])?(int)$HTTP_GET_VARS['opID']:0);
		$error='';
		if ($flag=='W'){
			// if need to move waitlist find the appropriate group and error if not found
			$group=tep_get_waitlist_name($events_id,$products_id,$orders_products_id);
			if ($group!='E')
				tep_db_query("update " . TABLE_ORDERS_PRODUCTS . " set events_type='W', waitlist_type='" . $group . "' where orders_products_id='" . $orders_products_id . "'");
			else 
				$error=ERR_EMPTY_WAIT_SIZE;
		} else {
			// if need to move reservation check if enough seats are present
			if (tep_check_max_reservations($events_id,$products_id,$orders_products_id)==true){
				tep_db_query("update " . TABLE_ORDERS_PRODUCTS . " set events_type='R', waitlist_type='P' where orders_products_id='" . $orders_products_id . "'");

				tep_send_event_email($orders_products_id,'WPR');
				tep_process_waiting_list($events_id,$products_id);
				tep_promote_waiting_list($events_id,$products_id);
			}
			else $error=ERR_EMPTY_RESERVE;
    	}
		tep_redirect(tep_href_link(FILENAME_SEARCH_RESERVATIONS,tep_get_all_get_params(array('action','opID','eID','pID','x','y','flag')) . 'action=search&error=' . $error));
	} else if ($action=="move_waitlist"){
		$events_id=(isset($HTTP_GET_VARS['eID'])?(int)$HTTP_GET_VARS['eID']:0);
		$orders_id=(isset($HTTP_GET_VARS['oID'])?(int)$HTTP_GET_VARS['oID']:0);
		$events_query=tep_db_query("SELECT " . tep_event_fields_list() . " from " . TABLE_EVENTS . " e where e.events_id='" . $events_id . "'");
		$events_result=tep_db_fetch_array($events_query);

		$order_query=tep_db_query("SELECT op.orders_products_id,s.sessions_id,s.start_date,o.customers_id from " . TABLE_ORDERS_PRODUCTS . " op, " . TABLE_EVENTS_SESSIONS . " s, " . TABLE_ORDERS . " o where o.orders_id='" . $orders_id . "' and op.products_type='E' and op.events_type='W' and o.orders_id=op.orders_id and op.products_id=s.sessions_id and s.events_id='" . $events_id . "'");

		$move_waitlist=true;
		$update_list="";
		$error="";
		while($order_result=tep_db_fetch_array($order_query)){
			$reserve_count=tep_reserve_count($order_result["sessions_id"],$events_result);
			$reserve_count+=tep_count_cart($order_result["sessions_id"],'R');
			$reserve_count+=tep_get_renewal_users_count($events_result['events_id'],$events_result['events_renewal_end'],$order_result['customers_id'],$order_result['start_date']);
			if ($events_result["events_max_reserve"]<=$reserve_count){
				$move_waitlist=false;
				$error=ERR_EMPTY_SEATS_ALL_WAITLIST;
				break;
			}
			$update_list.=$order_result["orders_products_id"] . ",";
		}
		if ($move_waitlist && $update_list!="") {
			$update_list=substr($update_list,0,-1);
			tep_db_query("UPDATE " . TABLE_ORDERS_PRODUCTS . " set events_type='R',waitlist_type='P' where orders_products_id in(" . $update_list . ")");
			tep_send_event_order_notify_email($orders_id,$events_id);
		} 
		tep_redirect(tep_href_link(FILENAME_SEARCH_RESERVATIONS,tep_get_all_get_params(array('action','opID','eID','pID','x','y','flag')) . 'action=search&error=' . $error));	
	}
	if ($action=="search")
	{
		if (isset($HTTP_GET_VARS['page']) && ($HTTP_GET_VARS['page'] > 1)) $rows = $HTTP_GET_VARS['page'] * MAX_DISPLAY_SEARCH_RESULTS - MAX_DISPLAY_SEARCH_RESULTS;
		$rows=0;
		$search_params=array("tx_fname"=>'',"tx_lname"=>'',"page"=>1,"tx_words"=>'',"tx_code"=>'',
								"tx_from"=>'',"tx_until"=>'',"tx_event"=>'',"tx_reserve"=>'',"tx_waitlist"=>'',"tx_rtype"=>'',"tx_session"=>'',"tx_current"=>'',"orders_id"=>'',"events_id"=>'',"tx_pending"=>'');
		
		$temp_query=build_search_query();						
		if ($orders_id>0){
			$fields=",s.start_date,s.start_date as end_date ";
			$query=" and o.orders_id='" . $orders_id . "' and e.events_id='" . $HTTP_GET_VARS['events_id'] ."' order by s.start_date";
		} else {
			$fields=",min(s.start_date) as start_date,count(s.start_date) as total_count,max(s.start_date) as end_date,sum(ascii(events_type)) as refund_flag";
			//$query=$temp_query . ' group by o.orders_id,c2c.customer_id,e.events_id ';
			//$query=$temp_query . ' group by op.orders_products_id order by o.orders_id,s.start_date';
			$query=$temp_query . ' group by o.orders_id,c2c.customer_id,e.events_id  order by o.orders_id,s.start_date';
		}
		if ($search_params["tx_pending"]!="") {
			$cDate="curdate()";
			$pending_option=" and (o.orders_status>1 or e.events_pending_period=0 or date_add(o.date_purchased,interval e.events_pending_period day)>=" . $cDate . ")";
		}

		/*$search_query=	"select o.orders_id,op.orders_products_id,op.products_id,op.waitlist_type,op.events_type,o.customers_id,c.customers_firstname,c.customers_lastname,c.customers_email_address,o.customers_postcode,e.events_location,e.events_instructor,ed.events_name,e.events_id,e.events_group_bookings,op.products_quantity " . $fields . " from " . 
						TABLE_ORDERS_PRODUCTS . " op, " . TABLE_ORDERS . " o, " . TABLE_CUSTOMERS . " c, " .  TABLE_EVENTS_SESSIONS . " s, " . TABLE_EVENTS . " e, " . TABLE_EVENTS_DESCRIPTION . " ed " . 
						" where op.products_type='E' and  op.events_type!='' and op.events_type!='C'" .
						" and  op.orders_id=o.orders_id and c.customers_id=o.customers_id and op.products_id=s.sessions_id and s.events_id=e.events_id and ed.events_id=e.events_id and ed.language_id='" . $languages_id . "'" . $pending_option . $query;			 */
		$search_query=	"select o.orders_id,op.orders_products_id,op.products_id,op.waitlist_type,op.events_type,c.customers_id,c.customers_firstname,c.customers_lastname,c.customers_email_address,o.customers_postcode,e.events_location,e.events_instructor,ed.events_name,e.events_id,e.events_group_bookings,op.products_quantity " . $fields . " from " . 
						TABLE_ORDERS_PRODUCTS . " op, " . TABLE_ORDERS . " o, " . TABLE_CUSTOMERS . " c, " .TABLE_CUSTOMERS_TO_CUSTOMERS ." c2c, ".  TABLE_EVENTS_SESSIONS . " s, " . TABLE_EVENTS . " e, " . TABLE_EVENTS_DESCRIPTION . " ed " . 
						" where op.products_type='E' and  op.events_type!='' and op.events_type!='C'" .
						" and  c2c.customer_id=c.customers_id and o.orders_id=c2c.orders_id and o.customers_id=c2c.group_customer_id and c2c.orders_id=op.orders_id and o.orders_id=c2c.orders_id and op.orders_id=o.orders_id and op.products_id=s.sessions_id and s.events_id=e.events_id and ed.events_id=e.events_id and ed.language_id='" . $languages_id . "'" . $pending_option . $query;				
		if ($orders_id<=0)
			$reservations_split = new splitPageResultsEvent($HTTP_GET_VARS['page'], MAX_DISPLAY_SEARCH_RESULTS, $search_query, $search_query_numrows);

		$result_query=tep_db_query($search_query);
		
		$cnt=tep_db_num_rows($result_query);
		$action="search";
	}
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<style type="text/css">
	#pup {position:absolute; visibility:hidden; z-index:200; width:130; }
</style>
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script language="JavaScript" src="includes/date-picker.js"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
			<script language="javascript" src="includes/popup.js"></script>
			<script language="JavaScript">
				var baby=new Array();
				baby[1]="";
				
				function showpopup(type)
				{
					var contentText;
					
					switch(type){
						case "start-end":
							contentText="Shows customers' first session date and the last one currently reserved. Can be<br> combined with other criteria to refine choices.";
							break;
						case "current":
							contentText="Shows only the reservations of users from the current date onwards. Can be<br>	combined with other criteria to refine choices.";
							break;
						case "reserved":
							contentText="Shows only reserved reservations. Can be combined with other criteria to refine choices.";
							break;
						case "waitlist":
							contentText="Shows waitlisted customers. Can be combined with other criteria to refine choices.";
							break;
						case "pending":
							contentText="By default, pending payments are hidden. Pending payments are ones which have been reserved but with an amount outstanding to complete the payment. Can be " +
										"combined with other criteria to refine choices.";
							break;
					}
					content='<table border="0" cellspacing="0" cellpadding="4" class="formArea" width="100%"><tr><td class=smallText>';
					content+=contentText;
					content+='</td></tr></table>';
					popwidth=250;
					baby[1]=content;
					if (baby[1]!="")
					{
						popup("1","#ffffff");
					}	
				}
			</script>
<div id="spiffycalendar" class="text"></div>
	<!-- header //-->
	<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
	<!-- header_eof //-->
	<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
<tr>
	<td width="<?php echo BOX_WIDTH; ?>" valign="top">
	<table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
		<!-- left_navigation //-->
		<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
		<!-- left_navigation_eof //-->
	</table>
	</td>
	<!-- body_text //-->	  
	<td width=100% align=left valign="top">
	<table border="0" width="100%" cellspacing="0" cellpadding="2">
	<?php if ($action=='') {?>
		<tr>
			<td>
				
			<table border="0" width="100%" cellspacing="0" cellpadding="0">
				<tr>
					<td align=left class='pageHeading'><?php echo HEADING_TITLE ?></td>
				</tr>
			</table>
			</td>
		</tr>
		<tr><td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td></tr>
		<script language="JavaScript">
			function validateSearchForm(frm){
				if (frm.tx_dated.checked) frm.action="<?php echo tep_href_link(FILENAME_SEARCH_RESERVATIONS_DATED);?>";
				return true;
			}
		</script>

		<?php echo tep_draw_form('search_reservation',FILENAME_SEARCH_RESERVATIONS,'','get','onSubmit="return validateSearchForm(this);"');
			$login_option="";
			if ($login_groups_type==TEXT_INSTRUCTOR_ENTRY){
				$login_option=" and e.events_instructor='" . $login_id . "'";
			}
			$event_query=tep_db_query("SELECT e.events_id,ed.events_name from " . TABLE_EVENTS . " e, " . TABLE_EVENTS_DESCRIPTION . " ed where ed.language_id='" . $languages_id . "' " . $login_option . EVENTS_CONDITION_STATUS . " and e.events_id=ed.events_id order by ed.events_name");
			$events_array[]=array('id'=>'','text'=>'');
			while ($result=tep_db_fetch_array($event_query)){
				$events_array[]=array('id'=>$result['events_id'],'text'=>$result['events_name']);
			}	    
		?>
		<tr>
			<td>
			<table border="0" cellspacing="3" cellpadding="2" class="formArea">
			<tr>
				<td class="main"><?php echo TEXT_SEARCH_FIRSTNAME ?></td>
				<td class="main"><?php echo tep_draw_input_field('tx_fname','','size=35');?></td>
			</tr>
			<tr>
				<td class="main"><?php echo TEXT_SEARCH_LASTNAME ?></td>
				<td class="main"><?php echo tep_draw_input_field('tx_lname','','size=35'); ?></td>
			</tr>
			<tr>
				<td class="main"><?php echo TEXT_SEARCH_KEYWORDS ?></td>
				<td class="main"><?php echo tep_draw_input_field('tx_words','','size=20') ?></td>
			</tr> 
			<tr>
				<td class="main"><?php echo TEXT_SEARCH_POSTCODE ?></td>
				<td class="main"><?php echo tep_draw_input_field('tx_code','','size=20') ?></td>
			</tr>
			<tr>
				<td class="main"><?php echo TEXT_SEARCH_FROM ?><br><small>(YYYY-MM-DD)</small></td><?php $_array=array('d','m','Y');  $replace_array=array('DD','MM','YYYY'); 	$date_format=str_replace($_array,$replace_array,EVENTS_DATE_FORMAT);?>
				<td class="main"><?php echo tep_draw_input_field("tx_from",'',"size=10",false,'text',false);?>
				<a href="javascript:show_calendar('search_reservation.tx_from',null,null,'<?php echo $date_format;?>');"
				  onmouseover="window.status='Date Picker';return true;"
				  onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
				</a>
			</tr> 
			<tr>
				<td class="main"><?php echo TEXT_SEARCH_UNTIL ?><br><small>(YYYY-MM-DD)</small></td>
				<td class="main"><?php echo tep_draw_input_field("tx_until",'',"size=10",false,'text',false);?>
				<a href="javascript:show_calendar('search_reservation.tx_until',null,null,'<?php echo $date_format;?>');"
				  onmouseover="window.status='Date Picker';return true;"
				  onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
				</a>
			</tr>
			<tr>
				<td class="main"><?php echo TEXT_SEARCH_EVENT ?></td>
				<td class="main">
				<?php 
					$all_events_array=array();
					$all_events_array = tep_get_events_array_single();
					if(sizeof($all_events_array)<=0) echo 'Events are not Available';
					else echo tep_draw_event_select_menu('tx_event',$all_events_array);
				?>
				</td>
			</tr>
			<tr>
				<td class="main">&nbsp;</td>
				<td class="main" valign="middle"><?php echo tep_draw_checkbox_field('tx_dated','Y',false) . TEXT_SEARCH_START_END; ?>&nbsp;
				<span onMouseOver="javascript:showpopup('start-end')" onMouseOut="javascript:kill();"><?php echo tep_image(DIR_WS_ICONS . "help_icon.gif");?></span>
				</td>
			</tr>
			<tr>
				<td class="main">&nbsp;</td>
				<td class="main"><?php echo tep_draw_checkbox_field('tx_current','Y',false) . TEXT_SEARCH_ONLYCURRENT; ?>
				<span onMouseOver="javascript:showpopup('current')" onMouseOut="javascript:kill();"><?php echo tep_image(DIR_WS_ICONS . "help_icon.gif");?></span>
				</td>
			</tr>
			<tr>
				<td class="main">&nbsp;</td>
				<td class="main"><?php echo tep_draw_checkbox_field('tx_reserve','Y',false) . TEXT_SEARCH_RESERVED; ?>
				<span onMouseOver="javascript:showpopup('reserved')" onMouseOut="javascript:kill();"><?php echo tep_image(DIR_WS_ICONS . "help_icon.gif");?></span>
				</td>
			</tr>
			<tr>
				<td class="main">&nbsp;</td>
				<td class="main"><?php echo tep_draw_checkbox_field('tx_waitlist','Y',false) . TEXT_SEARCH_WAITLIST; ?>
				<span onMouseOver="javascript:showpopup('waitlist')" onMouseOut="javascript:kill();"><?php echo tep_image(DIR_WS_ICONS . "help_icon.gif");?></span>
				</td>
			</tr>
			<tr>
				<td class="main">&nbsp;</td>
				<td class="main"><?php echo tep_draw_checkbox_field('tx_pending','Y',true) . TEXT_SEARCH_PENDING_PERIOD; ?>
				<span onMouseOver="javascript:showpopup('pending')" onMouseOut="javascript:kill();"><?php echo tep_image(DIR_WS_ICONS . "help_icon.gif");?></span>
				</td>
			</tr>
			
            <tr><td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10') . tep_draw_hidden_field('firstaction','search'); ?></td></tr>
            <tr>
				<td colspan=2 align=right><?php echo tep_image_submit('button_search_reservation.gif', IMAGE_SEARCH_RESERVATION); ?></td>
			</tr>
		</table>
		</td>
		</tr>
		</form>
		<?php } else {
			
			if ($error!='') { ?>
			<tr>
				<td>
				<table width=100% border=0 cellpacing=0 cellpadding=2 class="formArea">
					<tr>
						<td class=main><?php echo '<font color=red>' . $error . '</font>'; ?></td>
					</tr>
				</table>
				</td>
			</tr>
		<?php } ?>
		<tr>
			<td>
			<table border="0" width="100%" cellspacing="0" cellpadding="0">
				<tr>
					<td align=left class='pageHeading' colspan=8><?php echo HEADING_RESULT_TITLE; ?></td>
				</tr>
			</table>
			</td>
		</tr>
		<tr><td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td></tr>
		<?php if ($cnt>0) {?>
			<tr>
				<td>
				<table border="0" width="100%" cellspacing="0" cellpadding="0">
				<tr>
					<td class="main" valign="middle" align="left">
						<?php echo tep_draw_checkbox_field("select_all","1",false,'','onClick="javascript:select_all_boxes(this);"') . TEXT_SELECT_ALL;	?>
					</td>
					<td align=right valign="middle">
					<script language=javascript>
					function change_image(mode){
						if (mode==1)
							document.all.print_image.src="<?php echo DIR_WS_IMAGES . "printimage_over.gif";?>";
						else
							document.all.print_image.src="<?php echo DIR_WS_IMAGES . "printimage.gif";?>";
						}
					</script>
					<?php echo '<a href="' . tep_href_link(FILENAME_SEARCH_RESERVATION_PRINT,tep_get_all_get_params()) . '" onmouseover="change_image(1)" onmouseout="change_image(0)" target="_blank">' . '<img border=0 src="' . DIR_WS_IMAGES . "printimage.gif" . '" alt="' . IMAGE_PRINT_RESERVATIONS . '" title="' . IMAGE_PRINT_RESERVATIONS . '" id="print_image">' . TEXT_PRINT . '</a></span>';?>
					</td>
				</tr>
				</table>
				</td>
			</tr>
		<?php if (!$orders_id>0) {?>
			<tr>
				<td>
				<table border="0" width="100%" cellspacing="0" cellpadding="2">
					<tr>
						<td class="smallText" valign="top"><?php echo $reservations_split->display_count($search_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $HTTP_GET_VARS['page'], TEXT_DISPLAY_NUMBER_OF_RESERVATIONS); ?></td>
						<td class="smallText" align="right">
							<?php echo $reservations_split->display_links($search_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $HTTP_GET_VARS['page'],tep_get_all_get_params(array('page','x','y'))); ?>&nbsp;
						</td>
					</tr>
				</table>
				</td>
			</tr>
		<?php }?>
		<tr>
			<td valign="top">
				<table border="0" width='100%'cellspacing="1" cellpadding="2">
				<tr class='dataTableHeadingRow'><td class='dataTableHeadingContent'><?php echo TEXT_RESULT_OPTION; ?>&nbsp;</td>
					<td></td>
					<td class='dataTableHeadingContent'><?php echo TEXT_RESULT_FIRSTNAME; ?></td>
					<td class='dataTableHeadingContent'><?php echo TEXT_RESULT_LASTNAME; ?></td>
					<td class='dataTableHeadingContent'><?php echo TEXT_RESULT_POQ; ?></td>
					<td class='dataTableHeadingContent'><?php echo TEXT_RESULT_EVENT; ?></td>
					<td class='dataTableHeadingContent'><?php echo TEXT_RESULT_POSTCODE; ?></td>
					<td class='dataTableHeadingContent'><?php echo TEXT_RESULT_STARTDATE; ?></td>
					<td class='dataTableHeadingContent'><?php echo TEXT_RESULT_ENDDATE; ?></td>
					<td class='dataTableHeadingContent'><?php echo TEXT_RESULT_WAITLIST; ?></td>
					<td class='dataTableHeadingContent'><?php echo '<font color=green>W</font>'; ?></td>
					<td class='dataTableHeadingContent'><?php echo '<font color=green>R</font>'; ?></td>
				</tr>
				<script language=javascript>
				function validateForm()
				{
					var found=false;
					var formElement=document.result_reservation.elements["reservation_id[]"];
					if (formElement.length){
						for (var icnt=0;icnt<formElement.length;icnt++){
							if (formElement[icnt].checked){
								found=true;
								break;
							}
						}
					} else {
						found=formElement.checked;
					}
					if (!found){
						alert("<?php echo addslashes(stripslashes(ERR_SELECT_RESERVATION)); ?>");
						return false;
					}
					return true;
				}
				function validateLetterForm()
				{
					var found=false;
					var search_ids='';
					var formElement=document.result_reservation.elements["reservation_id[]"];
					var emailForm;
					emailForm=document.admin_letter;
					if (formElement.length){
						for (var icnt=0;icnt<formElement.length;icnt++){
							if (formElement[icnt].checked==true) {
								search_ids=search_ids+document.result_reservation.letters_id[icnt].value+",";
							}
						}
					} else {
						if (formElement.checked) search_ids=search_ids+document.result_reservation.letters_id.value+",";
					}
					if (search_ids==''){
						alert("<?php echo addslashes(stripslashes(ERR_SELECT_RESERVATION)); ?>");
						return false;
					}
					search_ids=search_ids.substr(0,search_ids.length-1);
					emailForm.search_ids.value=search_ids;
					return true;
				}
				function validateEmailForm(frmid)
				{
					var found=false;
					var search_ids='';
					var formElement=document.result_reservation.elements["reservation_id[]"];
					var emailForm;
					if (frmid==1)
						emailForm=document.admin_email;
					else
						emailForm=document.admin_sms;
					if (formElement.length){
						for (var icnt=0;icnt<formElement.length;icnt++){
							if (formElement[icnt].checked==true) {
								search_ids=search_ids+document.result_reservation.email_address[icnt].value+",";
							}
						}
					} else {
						if (formElement.checked) search_ids=search_ids+document.result_reservation.email_address.value+",";
					}
					if (search_ids==''){
						alert("<?php echo addslashes(stripslashes(ERR_SELECT_RESERVATION)); ?>");
						return false;
					}
					search_ids=search_ids.substr(0,search_ids.length-1);
					emailForm.search_ids.value=search_ids;
					return true;
				}
				function select_all_boxes(checkbox){
					var formElement=document.result_reservation.elements["reservation_id[]"];
					if (formElement.length){
						for (icnt=0;icnt<formElement.length;icnt++){
							formElement[icnt].checked=checkbox.checked;
						}					
					} else {
						formElement.checked=checkbox.checked;
					}
				}
				function doFormAction(type){
					if (!validateForm()) return;
					switch(type){
						case 2:
							document.result_reservation.action="<?php echo FILENAME_REFUND_RESERVATIONS;?>";
							document.result_reservation.process_type.value="single";
							break;
						case 3:
							document.result_reservation.action="<?php echo FILENAME_WITHDRAW_RESERVATIONS;?>";
							document.result_reservation.process_type.value="single";
							break;
						case 4:
							document.result_reservation.action="<?php echo FILENAME_WITHDRAW_RESERVATIONS;?>";
							break;
						case 5:
							document.result_reservation.action="<?php echo FILENAME_REFUND_RESERVATIONS;?>";
							break;
					}
					document.result_reservation.submit();
				}
				function selectBox(id,type,action){
					var element=document.result_reservation.elements["reservation_id[]"];
					if (element.length)	element[id-1].checked=true;
					else element.checked=true;
					
					if (action==6){
						if (validateEmailForm(1))
							document.admin_email.submit();
						return;
					}
					document.result_reservation.process_type.value=type; // indivitual(single) or group(order) based withdraw
					doFormAction(action);
				}
				</script>	   
				<?php 
					echo tep_draw_form('result_reservation',FILENAME_MOVE_RESERVATIONS_CONFIRM,'','post','onSubmit="return validateForm()"');
					reset($search_params);
					while(list($key,)=each($search_params)){
						echo '<input type="hidden" name="' . $key . '" value="' . htmlspecialchars($search_params[$key]) . '">';
					}
					echo '<input type="hidden" name="process_type" value="">';
					$rows=0;$currow=0;
					while($result=tep_db_fetch_array($result_query)) { 
						$result['total_count']=(tep_not_null($result['total_count'])?$result['total_count']:1);
						$rows++;
						$currow++;
						if (strlen($rows) < 2) {
							$rows = '0' . $rows;
						}
						$question_query=tep_db_query("SELECT answer_type,answer_value from " . TABLE_ORDERS_EVENTS_ANSWERS . " where orders_id='" . $result["orders_id"] . "' and events_id='" . $result["events_id"] . "'");
						$question_result=tep_db_fetch_array($question_query);
						if ($question_result["answer_type"]=="D" && $question_result["answer_value"]!="") $question_result["answer_value"]=format_date(date("Y-m-d",strtotime($question_result["answer_value"])));

				?>
				<tr class='dataTableRow' height=20>
					<td class='dataTableContent'>
					<?php  
					if ($result['total_count']==1){
						echo tep_draw_checkbox_field('reservation_id[]',$result['orders_products_id'],false);
						echo '<input type="hidden" name="items_type[' .$result['orders_products_id'] . ']" value="S">';
					} else {
						echo tep_draw_checkbox_field('reservation_id[]',$result['orders_id'] . '_' . $result['events_id'],false);
						echo '<input type="hidden" name="items_type[' . $result['orders_id'] . '_' . $result['events_id'] . ']" value="G">';
					}
					echo tep_draw_hidden_field('email_address',$result['customers_email_address']);
					echo tep_draw_hidden_field('letters_id',$result["orders_id"]);
					?>
					</td>
					<td class='dataTableContent'><?php echo '<span onClick="javascript:selectBox(' . $currow  . ',\'\',6);" class="cursorhand">' .  tep_image(DIR_WS_ICONS . '/mail.gif',IMAGE_MAIL_RESERVATION) . '</span>';?></td>
					<?php echo "<span onclick='document.location.href=\"" . tep_href_link(FILENAME_ORDERS, "oID=" . $result['orders_id'] . '&return=sr&page=1&action=edit&oid=' . $result['orders_id']) . "\"'>"; ?>
					<td class='dataTableContent' style="cursor:hand"><?php echo $result['customers_firstname']; ?></td>
					<td class='dataTableContent' style="cursor:hand"><?php echo $result['customers_lastname']; ?></td>
					<td class='dataTableContent' style="cursor:hand"><?php echo $question_result["answer_value"]; ?></td>
					<td class='dataTableContent' style="cursor:hand"><?php echo $result['events_name']; ?></td>
					<td class='dataTableContent' style="cursor:hand"><?php echo $result['customers_postcode']; ?></td>
					<td class='dataTableContent' style="cursor:hand"><?php echo format_date($result['start_date']); ?></td>
					<td class='dataTableContent' style="cursor:hand"><?php echo format_date($result['end_date']); ?></td><?php echo "</span>";?>
					<td class='dataTableContent' align='center'>
					<?php 
						$refund_flag="";
						if ($result["total_count"]>0 && (int)$result["refund_flag"]>0) {
							if (intval($result["refund_flag"]/$result["total_count"])==ord("F")){
								$refund_flag="F";
							} else if (intval($result["refund_flag"]/$result["total_count"])==ord("T")){
								$refund_flag="T";
							}
						}
						if ($result['events_group_bookings']=='Y' && $result['total_count']==1 && $result['products_quantity']==1 || $result['events_group_bookings']=='N' && $result['total_count']==1) {
							if ($result['events_type'] == 'R' || $result['events_type'] == 'W') {
								if ($result['events_type']=='W'){
									if ($result['waitlist_type']=='V') $display_text=TEXT_VIP_GROUP;
									if ($result['waitlist_type']=='F') $display_text=TEXT_FIRSTCOME_GROUP;
									if ($result['waitlist_type']=='C') $display_text=TEXT_CUSTOM_GROUP;
									echo tep_image(DIR_WS_IMAGES . 'icon_status_red.gif', $display_text, 10, 10) . '&nbsp;&nbsp;<a href="' . tep_href_link(FILENAME_SEARCH_RESERVATIONS, tep_get_all_get_params(array('action','x','y','error')) . '&action=setflag&flag=R&opID=' . $result['orders_products_id'] . '&pID=' . $result['products_id'] . '&eID=' . $result[events_id]) . '">' . tep_image(DIR_WS_IMAGES . 'icon_status_green_light.gif', IMAGE_ICON_MOVE_RESERVATION, 10, 10) . '</a>';
								} else {
									echo '<a href="' . tep_href_link(FILENAME_SEARCH_RESERVATIONS,  tep_get_all_get_params(array('action','x','y','error')) . '&action=setflag&flag=W&opID=' . $result['orders_products_id'] . '&pID=' . $result['products_id'] . '&eID=' . $result[events_id]) . '">' . tep_image(DIR_WS_IMAGES . 'icon_status_red_light.gif', IMAGE_ICON_MOVE_WAIT_LIST, 10, 10) . '</a>&nbsp;&nbsp;' . tep_image(DIR_WS_IMAGES . 'icon_status_green.gif', IMAGE_ICON_STATUS_RESERVED, 10, 10);
								}
							}
						} else {
							$waitlist_query=tep_db_query("SELECT count(op.orders_products_id) as total from " . TABLE_ORDERS_PRODUCTS . " op, " . TABLE_EVENTS_SESSIONS . " s where op.orders_id='" . $result["orders_id"] . "' and op.products_type='E' and op.events_type='W' and op.products_id=s.sessions_id and s.events_id='" . $result["events_id"] . "'");
							$waitlist=tep_db_fetch_array($waitlist_query);
							if ($waitlist["total"]>0){
								echo tep_image(DIR_WS_IMAGES . 'icon_status_red.gif', $display_text, 10, 10) . '&nbsp;&nbsp;<a href="' . tep_href_link(FILENAME_SEARCH_RESERVATIONS, tep_get_all_get_params(array('action','x','y','error')) . '&action=move_waitlist&oID=' . $result['orders_id'] . '&eID=' . $result[events_id]) . '">' . tep_image(DIR_WS_IMAGES . 'icon_status_green_light.gif', IMAGE_ICON_MOVE_RESERVATION, 10, 10) . '</a>&nbsp;';
							}
							if($result['events_group_bookings']=='Y' && $result['products_quantity']>1){
								echo '<a href="' . tep_href_link(FILENAME_ORDERS,'oID='.$result['orders_id'].'&return=sr&page=1&action=edit&oid='.$result['orders_id']) . '">' . tep_image(DIR_WS_IMAGES . 'multi_booking.gif',IMAGE_MODIFY_GROUP) . '</a>';
							}else
								echo '<a href="' . tep_href_link(FILENAME_SEARCH_RESERVATIONS,tep_get_all_get_params(array('x','y','error','orders_id','events_id')) . 'orders_id=' . $result['orders_id'] . '&events_id=' . $result['events_id']) . '">' . tep_image(DIR_WS_IMAGES . 'reserve_view.gif',IMAGE_MODIFY_RESERVE) . '</a>';	
						}
					?></td>
					<td class="dataTableContent" align="center" valign=middle>
					<?php 
						if ($result['total_count']==1) {
							if ($result['events_type']=="T") 
								echo tep_image(DIR_WS_IMAGES . 'checked.gif',IMAGE_ICON_WITHDRAW);
							else if ($result['events_type']!="F")
								echo '<span class="cursorhand" onClick="javascript:selectBox(\'' . $currow . '\',\'single\',4)">' . tep_image(DIR_WS_IMAGES . 'unchecked.gif',IMAGE_ICON_NOT_WITHDRAW) . '</span></a>';
						} else { 
							if ($refund_flag=='T'){
								echo tep_image(DIR_WS_IMAGES . 'checked.gif',IMAGE_ICON_WITHDRAW);
							} else if ($refund_flag!="F"){
								echo '<span class="cursorhand" onClick="javascript:selectBox(\'' . $currow . '\',\'group\',4)">' . tep_image(DIR_WS_IMAGES . 'unchecked.gif',IMAGE_ICON_NOT_WITHDRAW) . '</span></a>';
							}
						}
					?>
			       <td class="dataTableContent" align="center" valign=middle>
					<?php 
						if ($result['total_count']==1) {
							if ($result['events_type']=="F")
								echo tep_image(DIR_WS_IMAGES . 'checked.gif',IMAGE_ICON_REFUND);
							else if ($result['events_type']!="F")
								echo '<span class="cursorhand" onClick="javascript:selectBox(\'' . $currow . '\',\'single\',5)">' . tep_image(DIR_WS_IMAGES . 'unchecked.gif',IMAGE_ICON_NOT_REFUND) . '</span></a>';
						} else {
							if ($refund_flag=="F")
								echo tep_image(DIR_WS_IMAGES . 'checked.gif',IMAGE_ICON_REFUND);
							else
								echo '<span class="cursorhand" onClick="javascript:selectBox(\'' . $currow . '\',\'group\',5)">' . tep_image(DIR_WS_IMAGES . 'unchecked.gif',IMAGE_ICON_NOT_REFUND) . '</span></a>';
						}
					?>
	    			</td>
			</tr></span>
			<?php } ?>
       </table>
	   </td>
	   </tr> 
		<?php } else { ?>
			<tr><td align=left class='main' colspan=8><?php echo TEXT_NO_RESULTS ?></td></tr>
		<?php } ?>
		<tr><td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td></tr>
		<tr><td align=left>
			<table border="0" width="100%" cellspacing="0" cellpadding="2">
				<tr valign=middle>
					<td align=left class="main" valign="middle">
					<?php 
						echo tep_draw_hidden_field('process','');
						if ($orders_id<=0) {
							if ($page>1)
								echo '<a href="' . tep_href_link(FILENAME_SEARCH_RESERVATIONS,tep_get_all_get_params(array('x','y','orders_id','events_id','error','page')) . 'page=' . ($page-1)) . '">' . tep_image_button('button_back.gif', IMAGE_BACK,'align=absmiddle') . '</a>&nbsp;&nbsp;';
							else
								echo '<a href="' . ((($return) && tep_db_input($search_params['tx_event']!='')) ? tep_href_link(FILENAME_EVENTS_REPORTS_WAITLIST,'events_id=' . tep_db_input($search_params['tx_event'])) : tep_href_link(FILENAME_SEARCH_RESERVATIONS)) . '">' . tep_image_button('button_back.gif', IMAGE_BACK,'align=absmiddle') . '</a>&nbsp;&nbsp;';

						} else {
							echo '<a href="' . tep_href_link(FILENAME_SEARCH_RESERVATIONS,tep_get_all_get_params(array('x','y','orders_id','events_id','error'))) . '">' . tep_image_button('button_back.gif',IMAGE_BACK,'align=absmiddle') . '</a>&nbsp;&nbsp;';
						}
					?>
						
                        <td align=right valign="middle">
					<?php 
						//echo tep_image_submit('button_admin_refund.gif', IMAGE_REFUNDS,"onClick='doProcess(1)'") . '&nbsp;'; 
						//echo tep_image_submit('button_admin_withdraw.gif', IMAGE_WITHDRAW,"onClick='doProcess(2)' align=absmiddle") . '&nbsp;';
						if ($cnt>0) {
							if ($orders_id>0) {
								echo '<span class=cursorhand>' . tep_image_button('button_admin_withdraw.gif',IMAGE_WITHDRAW_RESERVATIONS,'onClick="javascript:doFormAction(3);" align="absmiddle"') . '</span>&nbsp;';
								echo '<span class=cursorhand>' . tep_image_button('button_admin_refund.gif',IMAGE_REFUND_RESERVATIONS,'onClick="javascript:doFormAction(2);" align="absmiddle"') . '</span>&nbsp;';
							}
							$events_array=tep_get_events_array();
							if (sizeof($events_array)>0){
								echo tep_image_submit('button_admin_move.gif', IMAGE_MOVE, "align='absmiddle'") . '&nbsp;';
								echo tep_draw_pull_down_menu('new_events_id',$events_array) . '&nbsp;';
							}
							echo '</form>';
							echo tep_draw_form('admin_letter',FILENAME_ADMIN_LETTERS,'','post','onSubmit="javascript:return validateLetterForm();"');
							echo tep_draw_hidden_field('search_ids','');
							echo tep_image_submit('button_admin_letter.gif',IMAGE_ADMIN_LETTERS,"align='absmiddle'") .'&nbsp;';
							echo '</form>';
							echo tep_draw_form('admin_email',FILENAME_SEND_EMAIL,'action=new_message&mode=1','post','onSubmit="javascript:return validateEmailForm(1);"');
							echo tep_draw_hidden_field('search_ids','');
							echo tep_image_submit('button_email.gif',IMAGE_SEARCH_EMAIL,"align='absmiddle'") . '&nbsp;';
							reset($search_params);
							while(list($key,)=each($search_params)){
								echo '<input type="hidden" name="' . $key . '" value="' . htmlspecialchars($search_params[$key]) . '">';
							}
							echo '</form>';
							echo tep_draw_form('admin_sms',FILENAME_SEND_EMAIL,'action=new_message&mode=2','post','onSubmit="javascript:return validateEmailForm(2);"');
							echo tep_draw_hidden_field('search_ids','');
							echo tep_image_submit('button_sms.gif',IMAGE_SEARCH_EMAIL,"align='absmiddle'");
							reset($search_params);
							while(list($key,)=each($search_params)){
								echo '<input type="hidden" name="' . $key . '" value="' . htmlspecialchars($search_params[$key]) . '">';
							}
							echo '</form>';
				     	}
					?>
					</td>
				</tr>
			</table>
		</td>
		</tr>
	<?php } ?>
	<input type=hidden name=row_check value="<?php echo $rows ?>">
	</table>
	</td>
	</tr>
</table>
<!-- body_text_eof //-->

	<!-- footer //-->
	<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
	<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>



<?php 
	function build_search_query(){
		global $HTTP_GET_VARS,$HTTP_POST_VARS,$search_params,$login_groups_type,$login_id;
		$search_group='A'; // all users both reserved and waitlist
		// form the query with given details in parameters
		if (isset($HTTP_POST_VARS['tx_fname']))
			$input_params=&$HTTP_POST_VARS;
		else
			$input_params=&$HTTP_GET_VARS;
		
		reset($search_params);	
		while(list($key,)=each($search_params)){
			if (isset($input_params[$key])) $search_params[$key]=tep_db_prepare_input($input_params[$key]);
		}
		$query_field1=(tep_not_null($search_params['tx_fname']) ? " and c.customers_firstname like '%" . tep_db_input($search_params['tx_fname']) . "%'" : '');
		$query_field2=(tep_not_null($search_params['tx_lname']) ? " and c.customers_lastname like '%" . tep_db_input($search_params['tx_lname']) . "%'" : '');
		$query_field3=(tep_not_null($search_params['tx_code']) ? " and o.customers_postcode='" . tep_db_input($search_params['tx_code']) . "'" : '');
		$query_field4=(tep_not_null($search_params['tx_words']) ? " and (c.customers_firstname like '%" . tep_db_input($search_params['tx_words']) . "%' or c.customers_lastname like '%" . tep_db_input($search_params['tx_words']) . "%' or c.customers_email_address like '%" . tep_db_input($search_params['tx_words']) . "%' or e.events_location like '%" . tep_db_input($search_params['tx_words']) . "%')": '');
		$query_field5=(tep_not_null($search_params['tx_from']) ? " and s.start_date>='" . tep_db_input($search_params['tx_from']) . "'" : '');
		$query_field6=(tep_not_null($search_params['tx_until']) ? " and s.start_date<='" . tep_db_input($search_params['tx_until']) . "'" : '');

		if (tep_not_null($search_params['tx_waitlist'])) $search_group='W';
		if (tep_not_null($search_params['tx_reserve'])){
			if ($search_group=='W') $search_group='A';
			else $search_group='R';
		}
		$query_field7="";
		if ($search_group=='W' || $search_group=='R') $query_field7=" and op.events_type='" . $search_group . "'";

		$query_field8=(tep_not_null($search_params['tx_event'])? " and e.events_id='" . tep_db_input($search_params['tx_event']) . "'":'');
		$query_field9="";
		if (tep_not_null($search_params['tx_session'])) {
			$date_select=$search_params['tx_session'];
			$date_split=split("-",$date_select);
			$format_split=split("-",EVENTS_DATE_FORMAT);
			$date_final=array();
			// convert date to database format
			if (sizeof($date_split)==3 && sizeof($format_split)==3){
				for ($icnt=0;$icnt<sizeof($date_split);$icnt++){
					$date_final[$format_split[$icnt]]=$date_split[$icnt];
				}
				$date_select=$date_final['Y'] . '-' . $date_final['m'] . '-' . $date_final['d'];
			}
			$query_field9=" and s.start_date='" . tep_db_input($date_select) . "'";
		}
		if (tep_not_null($search_params['tx_rtype'])){
			$tx_rtype=$search_params['tx_rtype'];
			if ($tx_rtype=='R')
				$query_field10=" and op.events_type='R' ";
			else
			$query_field10=" and op.events_type='W' and op.waitlist_type='" . $tx_rtype . "'";
		}
     	$query_field11=(tep_not_null($search_params["tx_current"])?" and s.start_date>=curdate() ":'');
		$query_field12="";

		if ($login_groups_type==TEXT_INSTRUCTOR_ENTRY) $query_field12=" and e.events_instructor='" . $login_id ."' ";

		$query=$query_field1 . $query_field2 . $query_field3 . $query_field4 . $query_field5 . $query_field6 . $query_field7 . $query_field8 . $query_field9 . $query_field10 . $query_field11 . $query_field12;
		
		return $query;
	}
	
?>